QGIS Application - Bug report #6152
SLD export saves a schema invalid file
2012-08-04 08:15 AM - Andrea Aime

Status: Closed

Priority: Normal

Assignee: Giuseppe Sucameli

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15476
Description

The rules generated by QGIS contain schema invalid output, here is a sample:

<se:Rule>
<se:Name>159.0550 - 137771.0580</se:Name>
<se:Description>159.0550 - 137771.0580</se:Description>

</se:Rule>

The Description element is defined, in SE 1.1, as:

<xsd:complexType name="DescriptionType">
<xsd:sequence>
<xsd:element name="Title" type="xsd:string" minOccurs="0"/>
<xsd:element name="Abstract" type="xsd:string" minOccurs="0"/>
</xsd:sequence>
</xsd:complexType>

So the generated markup should actually look like the following:

<se:Rule>
<se:Name>159.0550 - 137771.0580</se:Name>
<se:Description>
<se:Title>159.0550 - 137771.0580</se:Title>
</se:Description>

</se:Rule>

Associated revisions

Revision 136a65c7 - 2012-08-04 06:58 PM - Giuseppe Sucameli

sld support: use Title tag (instead of Abstract) exporting styles to SLD (fix #6152)

History

#1 - 2012-08-04 08:21 AM - Giovanni Manghi
- Status changed from Open to Feedback

- Assignee set to Giuseppe Sucameli

please give a try to qgis master, there have been fixes ablut SLD support after the relase of qgis 1.8

#2 - 2012-08-04 08:31 AM - Andrea Aime

Btw, this is on Ubuntu 10.04, QGIS 1.8.0 - Lisboa, coming from the UbuntuGIS apt

#3 - 2012-08-04 08:33 AM - Giovanni Manghi

Andrea Aime wrote:

Btw, this is on Ubuntu 10.04, QGIS 1.8.0 - Lisboa, coming from the UbuntuGIS apt

there is a repo for Ubuntu that allows to install qgis-master, see the qgis download page.

#4 - 2012-08-04 09:01 AM - Andrea Aime

I've just found the same behavior on the Windows release of QGIS 1.8.0 Lisboa, so it's not OS or package specific

#5 - 2012-08-04 09:03 AM - Giovanni Manghi

Andrea Aime wrote:

I've just found the same behavior on the Windows release of QGIS 1.8.0 Lisboa, so it's not OS or package specific

can you try ggis-master under Windows? it is easy to install with osgeo4w.

#6 - 2012-08-04 09:15 AM - Andrea Aime

Ok, with QGis master things look better, the document is valid, but it will still won't work 100% good with SLD based systems:

<se:Rule>
<se:Name>159.0550 - 137771.0580</se:Name>
<se:Description>
<se:Abstract>159.0550 - 137771.0580</se:Abstract>
</se:Description>
<ogc:Filter>
<ogc:And>
<ogc:PropertylsGreaterThan>
<ogc:PropertyName>LAND_KM</ogc:PropertyName>
<ogc:Literal>159.055</ogc:Literal>
</ogc:PropertylsGreaterThan>
<ogc:PropertylsLessThanOrEqualTo>

2025-04-27 2/3



<ogc:PropertyName>LAND_KM</ogc:PropertyName>
<ogc:Literal>137771</ogc:Literal>
</ogc:PropertylsLessThanOrEqualTo>
</ogc:And>
</ogc:Filter>
<se:PolygonSymbolizer>
<se:Fill>
<se:SvgParameter name="fill">#{7fbff</se:SvgParameter>
</se:Fill>
<se:Stroke>
<se:SvgParameter name="stroke">#000000</se:SvgParameter>
<se:SvgParameter name="stroke-width">0.26</se:SvgParameter>
</se:Stroke>
</se:PolygonSymbolizer>

</se:Rule>

The Description tag is now valid, but in order to support proper legend generations in GeoServer it should use Title, not Abstract (which is meant for a

verbose description of the style, as opposed to the title, which is meant to be concise and usable in legends)

#7 - 2012-08-04 09:47 AM - Giuseppe Sucameli
- Status changed from Feedback to In Progress

Andrea Aime wrote:

in order to support proper legend generations in GeoServer it should use Title, not Abstract

| agree, I'm changing it.

#8 - 2012-08-04 09:59 AM - Giuseppe Sucameli

- Status changed from In Progress to Closed

Fixed in changeset commit:"136a65c7b455ae0d0e1fbcc7c351ebe57ddd45d0".
